summaryrefslogtreecommitdiff
path: root/snapshots/coq-riscv/build
diff options
context:
space:
mode:
Diffstat (limited to 'snapshots/coq-riscv/build')
-rwxr-xr-xsnapshots/coq-riscv/build16
1 files changed, 16 insertions, 0 deletions
diff --git a/snapshots/coq-riscv/build b/snapshots/coq-riscv/build
new file mode 100755
index 00000000..4d89f5d5
--- /dev/null
+++ b/snapshots/coq-riscv/build
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+if [ ! -d bbv ]; then
+ echo Run clean from the coq-riscv directory
+ exit 1
+fi
+
+set -ex
+cd bbv
+make
+cd ../sail/lib/coq
+make
+cd ../../riscv
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail riscv_extras.v
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail riscv_types.v
+coqc -R ../../bbv/theories bbv -R ../lib/coq Sail riscv.v